Subject: Re: handling cvs ssh2 passwd prompt
From: Lloyd Wood <[email-masked]>
To: [email-masked]
Date: Sun, 29 Feb 2004 22:57:03 +0000 (GMT)

On Sun, 29 Feb 2004, Igor Pechtchanski wrote:

> The first thing to check is whether you're using the Cygwin versions of
> OpenSSH and CVS.  AFAIK, there is no ssh2 command in the Cygwin OpenSSH
> package.  Running "which ssh2" should give you an idea of which ssh you're
> getting.  It does sound like you're getting a Windows program that
> attempts to detect the console (and gets the one that opened the X
> window).

yes - which ssh2 tells me that's in Program Files, while which ssh is
in /usr/bin as you'd expect. (with that, am surprised ssh2 even
worked as it did!)

And ssh -v tells me that supports ssh2, so I've switched to setting
that instead, with the behaviour you'd expect.

thanks,

L.

<http://www.ee.surrey.ac.uk/Personal/L.Wood/><[email-masked]>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/